local outfits = {
    ['Male LSFD Turnout Gear'] = {
        category = 'LSFD',
        ped = 'mp_m_freemode_01',
        props = {
            { 0, 46, 1 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 97, 1 },
            { 4, 44, 1 },
            { 5, 49, 1 },
            { 6, 14, 1 },
            { 7, 1, 1 },
            { 8, 69, 1 },
            { 9, 1, 1 },
            { 10, 17, 1 },
            { 11, 78, 1 },
        },
    },
    ['Female LSFD Turnout Gear'] = {
        category = 'LSFD',
        ped = 'mp_f_freemode_01',
        props = {
            { 0, 45, 1 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 112, 1 },
            { 4, 19, 1 },
            { 5, 49, 1 },
            { 6, 29, 1 },
            { 7, 1, 1 },
            { 8, 49, 1 },
            { 9, 1, 1 },
            { 10, 16, 1 },
            { 11, 65, 1 },
        },
    },
    ['Male LSCoFD Turnout Gear'] = {
        category = 'LSCoFD',
        ped = 'mp_m_freemode_01',
        props = {
            { 0, 46, 4 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 97, 1 },
            { 4, 44, 2 },
            { 5, 49, 1 },
            { 6, 14, 1 },
            { 7, 1, 1 },
            { 8, 69, 1 },
            { 9, 1, 1 },
            { 10, 18, 1 },
            { 11, 78, 2 },
        },
    },
    ['Female LSCoFD Turnout Gear'] = {
        category = 'LSCoFD',
        ped = 'mp_f_freemode_01',
        props = {
            { 0, 45, 4 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 112, 1 },
            { 4, 19, 2 },
            { 5, 49, 1 },
            { 6, 29, 1 },
            { 7, 1, 1 },
            { 8, 49, 1 },
            { 9, 1, 1 },
            { 10, 17, 1 },
            { 11, 65, 2 },
        },
    },
    ['Male BCFD Turnout Gear'] = {
        category = 'BCFD',
        ped = 'mp_m_freemode_01',
        props = {
            { 0, 46, 7 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 97, 1 },
            { 4, 44, 1 },
            { 5, 49, 1 },
            { 6, 14, 1 },
            { 7, 1, 1 },
            { 8, 69, 1 },
            { 9, 1, 1 },
            { 10, 19, 1 },
            { 11, 78, 1 },
        },
    },
    ['Female BCFD Turnout Gear'] = {
        category = 'BCFD',
        ped = 'mp_f_freemode_01',
        props = {
            { 0, 45, 7 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 112, 1 },
            { 4, 19, 1 },
            { 5, 49, 1 },
            { 6, 29, 1 },
            { 7, 1, 1 },
            { 8, 49, 1 },
            { 9, 1, 1 },
            { 10, 18, 1 },
            { 11, 65, 1 },
        },
    },
    ['Male LSFD Fireman Uniform'] = {
        category = 'LSFD',
        ped = 'mp_m_freemode_01',
        props = {
            { 0, 0, 0 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 1, 1 },
            { 4, 26, 4 },
            { 5, 1, 1 },
            { 6, 52, 1 },
            { 7, 1, 1 },
            { 8, 89, 1 },
            { 9, 1, 1 },
            { 10, 1, 1 },
            { 11, 48, 2 },
        },
    },
    ['Female LSFD Fireman Uniform'] = {
        category = 'LSFD',
        ped = 'mp_f_freemode_01',
        props = {
            { 0, 0, 0 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 15, 1 },
            { 4, 42, 4 },
            { 5, 1, 1 },
            { 6, 53, 1 },
            { 7, 1, 1 },
            { 8, 8, 1 },
            { 9, 1, 1 },
            { 10, 1, 1 },
            { 11, 21, 2 },
        },
    },
    ['Male LSFD EMT Uniform'] = {
        category = 'LSFD',
        ped = 'mp_m_freemode_01',
        props = {
            { 0, 0, 0 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 86, 1 },
            { 4, 48, 1 },
            { 5, 49, 1 },
            { 6, 52, 1 },
            { 7, 31, 4 },
            { 8, 55, 1 },
            { 9, 1, 1 },
            { 10, 1, 1 },
            { 11, 48, 1 },
        },
    },
    ['Female LSFD EMT Uniform'] = {
        category = 'LSFD',
        ped = 'mp_f_freemode_01',
        props = {
            { 0, 0, 0 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 110, 1 },
            { 4, 50, 1 },
            { 5, 49, 1 },
            { 6, 53, 1 },
            { 7, 15, 4 },
            { 8, 7, 1 },
            { 9, 1, 1 },
            { 10, 1, 1 },
            { 11, 21, 1 },
        },
    },
    ['Male LSFD Jacket'] = {
        category = 'LSFD',
        ped = 'mp_m_freemode_01',
        props = {
            { 0, 0, 0 },
            { 1, 1, 1 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 5, 1 },
            { 4, 26, 4 },
            { 5, 49, 1 },
            { 6, 52, 1 },
            { 7, 1, 1 },
            { 8, 52, 8 },
            { 9, 2, 1 },
            { 10, 1, 1 },
            { 11, 152, 3 },
        },
    },
    ['Female LSFD Jacket'] = {
        category = 'LSFD',
        ped = 'mp_f_freemode_01',
        props = {
            { 0, 0, 0 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 4, 1 },
            { 4, 42, 4 },
            { 5, 49, 1 },
            { 6, 53, 1 },
            { 7, 1, 1 },
            { 8, 46, 19 },
            { 9, 2, 1 },
            { 10, 1, 1 },
            { 11, 149, 3 },
        },
    },
    ['Male LSCoFD Fireman Uniform'] = {
        category = 'LSCoFD',
        ped = 'mp_m_freemode_01',
        props = {
            { 0, 0, 0 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 1, 1 },
            { 4, 26, 4 },
            { 5, 1, 1 },
            { 6, 52, 1 },
            { 7, 1, 1 },
            { 8, 89, 1 },
            { 9, 1, 1 },
            { 10, 1, 1 },
            { 11, 35, 2 },
        },
    },
    ['Female LSCoFD Fireman Uniform'] = {
        category = 'LSCoFD',
        ped = 'mp_f_freemode_01',
        props = {
            { 0, 0, 0 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 15, 1 },
            { 4, 42, 4 },
            { 5, 1, 1 },
            { 6, 53, 1 },
            { 7, 1, 1 },
            { 8, 8, 1 },
            { 9, 1, 1 },
            { 10, 1, 1 },
            { 11, 20, 2 },
        },
    },
    ['Male LSCoFD EMT Uniform'] = {
        category = 'LSCoFD',
        ped = 'mp_m_freemode_01',
        props = {
            { 0, 0, 0 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 1, 1 },
            { 4, 48, 1 },
            { 5, 49, 1 },
            { 6, 52, 1 },
            { 7, 31, 2 },
            { 8, 55, 1 },
            { 9, 1, 1 },
            { 10, 1, 1 },
            { 11, 35, 1 },
        },
    },
    ['Female LSCoFD EMT Uniform'] = {
        category = 'LSCoFD',
        ped = 'mp_f_freemode_01',
        props = {
            { 0, 0, 0 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 15, 1 },
            { 4, 42, 4 },
            { 5, 49, 1 },
            { 6, 53, 1 },
            { 7, 15, 1 },
            { 8, 7, 1 },
            { 9, 1, 1 },
            { 10, 1, 1 },
            { 11, 20, 1 },
        },
    },
    ['Male LSCoFD Jacket'] = {
        category = 'LSCoFD',
        ped = 'mp_m_freemode_01',
        props = {
            { 0, 0, 0 },
            { 1, 1, 1 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 5, 1 },
            { 4, 26, 4 },
            { 5, 49, 1 },
            { 6, 52, 1 },
            { 7, 1, 1 },
            { 8, 52, 8 },
            { 9, 2, 1 },
            { 10, 1, 1 },
            { 11, 152, 4 },
        },
    },
    ['Female LSCoFD Jacket'] = {
        category = 'LSCoFD',
        ped = 'mp_f_freemode_01',
        props = {
            { 0, 0, 0 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 4, 1 },
            { 4, 42, 4 },
            { 5, 49, 1 },
            { 6, 53, 1 },
            { 7, 1, 1 },
            { 8, 46, 19 },
            { 9, 2, 1 },
            { 10, 1, 1 },
            { 11, 149, 4 },
        },
    },
    ['Male BCFD Fireman Uniform'] = {
        category = 'BCFD',
        ped = 'mp_m_freemode_01',
        props = {
            { 0, 46, 7 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 1, 1 },
            { 4, 20, 2 },
            { 5, 1, 1 },
            { 6, 52, 1 },
            { 7, 19, 1 },
            { 8, 89, 1 },
            { 9, 15, 1 },
            { 10, 1, 1 },
            { 11, 41, 2 },
        },
    },
    ['Female BCFD Fireman Uniform'] = {
        category = 'BCFD',
        ped = 'mp_f_freemode_01',
        props = {
            { 0, 0, 0 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 15, 1 },
            { 4, 42, 4 },
            { 5, 1, 1 },
            { 6, 53, 1 },
            { 7, 1, 1 },
            { 8, 8, 1 },
            { 9, 1, 1 },
            { 10, 1, 1 },
            { 11, 20, 4 },
        },
    },
    ['Male BCFD EMT Uniform'] = {
        category = 'BCFD',
        ped = 'mp_m_freemode_01',
        props = {
            { 0, 0, 0 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 86, 1 },
            { 4, 26, 4 },
            { 5, 1, 1 },
            { 6, 52, 1 },
            { 7, 31, 3 },
            { 8, 89, 1 },
            { 9, 15, 1 },
            { 10, 1, 1 },
            { 11, 41, 1 },
        },
    },
    ['Female BCFD EMT Uniform'] = {
        category = 'BCFD',
        ped = 'mp_f_freemode_01',
        props = {
            { 0, 0, 0 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 15, 1 },
            { 4, 42, 4 },
            { 5, 49, 1 },
            { 6, 53, 1 },
            { 7, 15, 3 },
            { 8, 7, 1 },
            { 9, 15, 1 },
            { 10, 1, 1 },
            { 11, 20, 3 },
        },
    }, 
    ['Male BCFD Jacket'] = {
        category = 'BCFD',
        ped = 'mp_m_freemode_01',
        props = {
            { 0, 0, 0 },
            { 1, 1, 1 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 5, 1 },
            { 4, 26, 4 },
            { 5, 49, 1 },
            { 6, 52, 1 },
            { 7, 1, 1 },
            { 8, 52, 9 },
            { 9, 15, 1 },
            { 10, 1, 1 },
            { 11, 152, 5 },
        },
    }, 
    ['Female BCFD Jacket'] = {
        category = 'BCFD',
        ped = 'mp_f_freemode_01',
        props = {
            { 0, 0, 0 },
            { 1, 0, 0 },
            { 2, 0, 0 },
            { 3, 0, 0 },
        },
        components = {
            { 1, 1, 1 },
            { 3, 4, 1 },
            { 4, 42, 4 },
            { 5, 49, 1 },
            { 6, 53, 1 },
            { 7, 1, 1 },
            { 8, 46, 20 },
            { 9, 2, 1 },
            { 10, 1, 1 },
            { 11, 149, 5 },
        },
    },  


}

local function setOutfit(outfit)
    local ped = PlayerPedId()

    RequestModel(outfit.ped)

    while not HasModelLoaded(outfit.ped) do
        Wait(0)
    end

    if GetEntityModel(ped) ~= GetHashKey(outfit.ped) then
        SetPlayerModel(PlayerId(), outfit.ped)
    end

    ped = PlayerPedId()

    for _, comp in ipairs(outfit.components) do
       SetPedComponentVariation(ped, comp[1], comp[2] - 1, comp[3] - 1, 0)
    end

    for _, comp in ipairs(outfit.props) do
        if comp[2] == 0 then
            ClearPedProp(ped, comp[1])
        else
            SetPedPropIndex(ped, comp[1], comp[2] - 1, comp[3] - 1, true)
        end
    end
end

local categoryOutfits = {}

for name, outfit in pairs(outfits) do
    if not categoryOutfits[outfit.category] then
        categoryOutfits[outfit.category] = {}
    end

    categoryOutfits[outfit.category][name] = outfit
end

local menuPool = NativeUI.CreatePool()
local mainMenu = NativeUI.CreateMenu('Clock On Duty', 'Get Your Uniform Here!')

for name, list in pairs(categoryOutfits) do
    local subMenu = menuPool:AddSubMenu(mainMenu, name)

    for id, outfit in pairs(list) do
        outfit.item = NativeUI.CreateItem(id, 'Select this outfit.')
        subMenu:AddItem(outfit.item)
    end

    subMenu.OnItemSelect = function(sender, item, index)
        -- find the outfit
        for _, outfit in pairs(list) do
            if outfit.item == item then
                CreateThread(function()
                    setOutfit(outfit)
                end)
            end
        end
    end
end

menuPool:Add(mainMenu)

menuPool:RefreshIndex()

local table = {
    {x = 1691.81,y = 3586.28,z = 34.64},
    {x = -361.52,y = 6108.62,z = 30.52},
    {x = 195.71,y = -1652.67,z = 28.82},
    {x = 1193.93,y = -1480.80,z = 33.87},
    {x = 307.39,y = -1433.12,z = 28.96},
    {x = -633.35,y = -120.69,z = 38.05},
}

Citizen.CreateThread(function()
    while true do
        Citizen.Wait(0)
        for k in pairs(table) do
            -- Draw Marker Here --
            DrawMarker(1, table[k].x, table[k].y, table[k].z, 0, 0, 0, 0, 0, 0, 1.001, 1.0001, 0.5001, 255, 68, 0, 200, 0, 0, 0, 0)
        end
    end
end)

function chatPrint( msg )
	TriggerEvent( 'chatMessage', "^1ValorRP", { 0, 0, 0 }, msg )
end


Citizen.CreateThread(function()
    while true do
        Citizen.Wait(0)

        for k in pairs(table) do

            local plyCoords = GetEntityCoords(GetPlayerPed(-1), false)
            local dist = Vdist(plyCoords.x, plyCoords.y, plyCoords.z, table[k].x, table[k].y, table[k].z)

            if dist <= 1.2 then
				DrawTxt("Press E To Clock In")
				if IsControlJustPressed(1,51) then -- "E"
					mainMenu:Visible(not mainMenu:Visible())
					Wait(2000)
					SetPedArmour(playerPed, 100)
					GiveWeaponToPed(GetPlayerPed(-1), GetHashKey("WEAPON_COMBATPISTOL"), 1000, false)
					GiveWeaponComponentToPed(GetPlayerPed(-1), GetHashKey("WEAPON_COMBATPISTOL"), GetHashKey("COMPONENT_AT_PI_FLSH"))
					GiveWeaponToPed(GetPlayerPed(-1), GetHashKey("WEAPON_PUMPSHOTGUN"), 1000, false)
					GiveWeaponComponentToPed(GetPlayerPed(-1), GetHashKey("WEAPON_PUMPSHOTGUN"), GetHashKey("COMPONENT_AT_AR_FLSH"))
					GiveWeaponToPed(GetPlayerPed(-1), GetHashKey("WEAPON_CARBINERIFLE"), 1000, false)
					GiveWeaponComponentToPed(GetPlayerPed(-1), GetHashKey("WEAPON_CARBINERIFLE"), GetHashKey("COMPONENT_AT_AR_FLSH"))
					GiveWeaponComponentToPed(GetPlayerPed(-1), GetHashKey("WEAPON_CARBINERIFLE"), GetHashKey("COMPONENT_AT_AR_AFGRIP"))
					GiveWeaponComponentToPed(GetPlayerPed(-1), GetHashKey("WEAPON_CARBINERIFLE"), GetHashKey("COMPONENT_AT_SCOPE_MEDIUM"))
					GiveWeaponToPed(GetPlayerPed(-1), GetHashKey("WEAPON_BZGAS"), 1000, false)
					GiveWeaponToPed(GetPlayerPed(-1), GetHashKey("WEAPON_FLARE"), 1000, false)
					GiveWeaponToPed(GetPlayerPed(-1), GetHashKey("WEAPON_NIGHTSTICK"), 1000, false)
					GiveWeaponToPed(GetPlayerPed(-1), GetHashKey("WEAPON_FLASHLIGHT"), 1000, false)
					GiveWeaponToPed(GetPlayerPed(-1), GetHashKey("WEAPON_STUNGUN"), 1000, false)
					
				end
            end
        end
    end
end)

function DrawTxt(text)
    SetTextFont(0)
    SetTextProportional(1)
    SetTextScale(0.0, 0.30)
    SetTextDropshadow(1, 0, 0, 0, 255)
    SetTextEdge(1, 0, 0, 0, 255)
  
    SetTextDropShadow()
    SetTextOutline()
    SetTextEntry("STRING")
    AddTextComponentString(text)
    DrawText(0.160, 0.860)
  end

CreateThread(function()
    while true do
        Wait(0)

        menuPool:ProcessMenus()
    end
end)
---©. ValorRP Development Team.